var isEmailValid = false
var isPasswordValid = false

// check if email already exist
$('#inputEmail').change(function(){
    var email = $('#inputEmail').val()
    $.get("email/"+email, function(data) {
        $('#emailWarning').empty()
        isEmailValid = data
        if(!isEmailValid) {
            $('#emailWarning').html('M4_LAB account with this email address is already exist.')
        }
        switchSubmitButton()
    })
    .fail(function() {
        console.log("cannot check email")
    })
});

// check password
$('#inputPassword').on('keyup', function () {
    isPasswordValid = checkPasswordReq($('#inputPassword').val())
    $('#passwordWarning').empty();
    if (!isPasswordValid) {
        $('#passwordWarning').html('Must be at least 8 characters')
    }
    switchSubmitButton()
});

function switchSubmitButton() {
    if (isEmailValid && isPasswordValid) {
        $('#submitBtn').prop('disabled', false)
    }
    else {
        $('#submitBtn').prop('disabled', true)
    }
}